Skip to main content
GET
cURL

Authorizations

X-API-Key
string
header
required

API key for authenticating requests

Query Parameters

from
string<date-time>
required

Filter meetings starting from this date-time (ISO 8601 format) inclusively. Required.

to
string<date-time>

Filter meetings ending before this date-time (ISO 8601 format) inclusively.

pageNumber
number<int32>
default:1

The page number to retrieve (1-based indexing). Defaults to 1 if not specified.

Required range: x >= 1
pageSize
number<int32>
default:10

The maximum number of meetings to return per page. Must be between 1 and 50. Defaults to 10 if not specified.

Required range: 1 <= x <= 50
salesforceAccountId
string

Filter meetings associated with a specific Salesforce account. Optional, must be 18 characters in length. Cannot be used with salesforceOpportunityId.

Required string length: 18
salesforceOpportunityId
string

Filter meetings associated with a specific Salesforce opportunity. Optional, must be 18 characters in length. Cannot be used with salesforceAccountId.

Required string length: 18
attendeeEmailAddresses
string<email>[]

Filter meetings that include all of the provided attendee email addresses.

sourceTypes
string

Filter meetings by source type(s). Provide a comma-separated list of source types. Valid values: AIRCALL, ATTENTION, CHORUS, CLOUDTALK, DIALPAD, GONG, MINDTICKLE, MOMENTUM, MS_TEAMS, ORUM, OUTREACH, RINGCENTRAL, SALESLOFT, SALESLOFT_CI, USER_PROVIDED, VONAGE, WEBEX, WINGMAN, WISER, ZOOM, ZOOM_PHONE

includeDownloadUrl
boolean
default:false

When set to true, includes a temporary pre-signed download URL (valid for 2 hours) for each meeting that has a recording available. Defaults to false.

Response

200 - application/json

A list of meetings.

meetings
object[]
required
pageCount
number<int32>

Total number of pages available for the current query.